package com.style24.scm.biz.service;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.style24.persistence.domain.AflinkFee;
import com.style24.persistence.domain.SupplyCompFee;
import com.style24.scm.biz.dao.TssSettleDao;

import lombok.extern.slf4j.Slf4j;

/**
 * 정산 Service
 *
 * @author gagamel
 * @since 2021. 1. 20
 */
@Service
@Slf4j
public class TssSettleService {

	@Autowired
	private TssSettleDao settleDao;

	/**
	 * 제휴채널정산 목록
	 * @param afLinkFee - 제휴채널수수료 정보
	 * @return
	 * @author gagamel
	 * @since 2021. 1. 20
	 */
	public Collection<AflinkFee> getAfLinkFeeList(AflinkFee afLinkFee) {
		return settleDao.getAfLinkFeeList(afLinkFee);
	}

	/**
	 * 입점업체 상품정산 목록
	 * @param supplyCompFee
	 * @return
	 * @author gagamel
	 * @since 2021. 9. 8
	 */
	public Collection<SupplyCompFee> getSupplyCompanyGoodsFeeList(SupplyCompFee supplyCompFee) {
		return settleDao.getSupplyCompanyGoodsFeeList(supplyCompFee);
	}

	/**
	 * 입점업체 배송비정산 목록
	 * @param supplyCompFee
	 * @return
	 * @author gagamel
	 * @since 2021. 9. 8
	 */
	public Collection<SupplyCompFee> getSupplyCompanyDeliveryFeeList(SupplyCompFee supplyCompFee) {
		return settleDao.getSupplyCompanyDeliveryFeeList(supplyCompFee);
	}

	/**
	 * 입점업체 정산확정 목록
	 * @param supplyCompFee - 입점업체정산 정보
	 * @return
	 * @author gagamel
	 * @since 2021. 9. 2
	 */
	public Collection<SupplyCompFee> getSupplyCompanyFeeConfirmList(SupplyCompFee supplyCompFee) {
		return settleDao.getSupplyCompanyFeeConfirmList(supplyCompFee);
	}

}
